# getAccountInfo

Returns all information associated with the account of a provided Pubkey.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `address` string *<mark style="color:red;">Required</mark>.* The Pubkey of the account to query encoded as base-58 string.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string.
      * The node will query the most recent block that has been voted on by the supermajority of the cluster.
    * `processed` string.
      * The node will query its most recent block. Note that the block may not be complete.
  * `encoding` string.
    * The encoding format for account data. It can be one of `base58` (slow), `base64`, `base64+zstd` or `jsonParsed`.
  * `dataSlice` string.
    * The returned account data using the provided `offset: <usize>` and `length: <usize>` fields; only available for base58, base64, or base64+zstd encodings.
  * `minContextSlot` integer. The minimum slot at which the request can be evaluated.

## Returns

* `result` object. Null if the account doesn't exist otherwise RpcResponse JSON object with the following fields:
  * `context`
    * An object that contains metadata about the current state of the Solana network at the time the request was processed.
      * `apiVersion` - The version number.
      * `slot` - The current slot in the Solana cluster during which the transactions are processed and new blocks are added to the blockchain.
  * `value`
    * An object that contains information about the requested account
      * `lamports` - The number of lamports assigned to this account as u64 (64-bit unsigned integer).
      * `owner` - The base-58 encoded Pubkey of the program this account has been assigned to.
      * `data` - The data associated with the account, either as encoded binary data or JSON format {'program': 'state'}, depending on encoding parameter.
      * `executable` - A boolean indicating if the account contains a program (and is strictly read-only).
      * `rentEpoch` - The epoch at which this account will next owe rent, as u64 (64-bit unsigned integer).
      * `space` - The amount of storage space required to store the token account.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": {
		"context": {
			"apiVersion": "2.1.11",
			"slot": 319925456
		},
		"value": {
			"data": [
				"",
				"base58"
			],
			"executable": false,
			"lamports": 949997353364,
			"owner": "11111111111111111111111111111111",
			"rentEpoch": 18446744073709551615,
			"space": 0
		}
	},
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getAccountInfo","params": ["7cVfgArCheMR6Cs4t6vz5rfnqd56vZq4ndaBrY5xkxXy",{"encoding": "base58"}]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getAccountInfo","params": ["7cVfgArCheMR6Cs4t6vz5rfnqd56vZq4ndaBrY5xkxXy",{"encoding": "base58"}]}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getaccountinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
